# This package is intended to be complete gtk2-engine package.
# All gtk2-engines here are unmaintained. There is no reason to split up
# these. Old package already includes engines out from gtk-engines2
# Afte gtk3 and GNOME 3x release this package needed better naming.

# This needs special care. Please do not mess with it.
%define pkgname             gtk2-theme-engines

%define lib_name            %mklibname %{pkgname}
%define cleanice_lib        %mklibname %{pkgname}-cleanice
%define flat_lib            %mklibname %{pkgname}-flat
%define bluecurve_lib       %mklibname %{pkgname}-bluecurve
%define mist_lib            %mklibname %{pkgname}-mist
%define nimbus_lib          %mklibname %{pkgname}-nimbus
%define lightbluehouse_lib  %mklibname %{pkgname}-lightbluehouse
%define nodoka_lib          %mklibname gtk-nodoka-engine
%define equinox_lib         %mklibname gtk-equinox-engine
%define hc_lib	            %mklibname gtk2-hc-engine
%define clearlooks_lib      %mklibname gtk2-clearlooks-engine

%define old_libname         %mklibname gtk-engines2

%define cleanice_version        2.4.1
%define bluecurve_version       1.0.0
%define mist_version            0.5
%define nimbus_version          0.1.7
%define lightbluehouse_rel      eq3
%define lightbluehouse_version  2.7.5
%define nodoka_version          0.7.5
%define equinox_version         1.50
%define aurora_version          1.5
%define ubuntulooks_version     0.9.12

%global __requires_exclude pkgconfig\\\(.*\\\)

%define gtkbinaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)

Name:                 %{pkgname}
Summary:              Default GTK+ 2.0 theme engines
Version:              2.20.2
Release:              %mkrel 11
License:              GPLv2+ and LGPLv2+
URL:                  https://download.gnome.org/sources/gtk-engines/
Group:                System/Libraries

BuildRequires:        pkgconfig(libglade-2.0)
BuildRequires:        pkgconfig(gtk+-2.0)
BuildRequires:        pkgconfig(gdk-pixbuf-2.0)
BuildRequires:        pkgconfig(lua)
BuildRequires:        intltool
BuildRequires:        icon-naming-utils

Source0:            https://download.gnome.org/sources/gtk-engines/gtk-engines-%{version}.tar.bz2
Source1:            http://prdownloads.sourceforge.net/elysium-project/gtk-engines-cleanice-%{cleanice_version}.tar.bz2
Source2:            http://themes.freshmeat.net/redir/gtk2flat/31385/url_tgz/gtk2flat-default.tar.bz2
Source3:            bluecurve-gtk-themes-%{bluecurve_version}.tar.bz2
Source4:            http://dlc.sun.com/osol/jds/downloads/extras/nimbus/nimbus-%{nimbus_version}.tar.bz2
#http://gnome-look.org/content/show.php/LighthouseBlue+GTK2+Engine?content=137266
Source5:            http://gnome-look.org/CONTENT/content-files/137266-gtk-engines-lighthouseblue-%{lightbluehouse_version}-%{lightbluehouse_rel}.tar.gz
#http://fedoraproject.org/wiki/Artwork/NodokaTheme
Source6:            https://fedorahosted.org/released/nodoka/gtk-nodoka-engine-%{nodoka_version}.tar.gz
#http://gnome-look.org/content/show.php?content=121881
Source7:            http://gnome-look.org/CONTENT/content-files/121881-equinox-%{equinox_version}.tar.gz
Source8:            http://gnome-look.org/CONTENT/content-files/140448-equinox-themes-1.30.tar.gz
# http://gnome-look.org/content/show.php?content=56438
# http://gnome-look.org/CONTENT/content-files/56438-aurora-%{aurora_version}.tar.bz2
Source9:            aurora-gtk-engine-%{aurora_version}.tar.gz
Source10:           Aurora.tar.bz2
Source11:           http://archive.ubuntu.com/ubuntu/pool/main/u/ubuntulooks_%{ubuntulooks_version}.orig.tar.gz
#http://gnome-look.org/content/show.php/xl_cheeselooks+gtk-engine?content=73163
Source12:           xl_cheeselooks_Engine_Themes.tar.gz
Source13:           http://gnome-look.org/CONTENT/content-files/75868-xl_cheeselooks_ThemePack.tar.gz

Patch1:             gtk-engines-2.20.2-glib.patch
Patch2:             gtk-engines-2.20.2-automake-1.13.patch
Patch3:             equinox-engine-1.5.0-glib.patch
Patch4:             ubuntulooks-0.9.12-fix_listview_arrows_drawing.patch
Patch5:             ubuntulooks-0.9.12-fix_tick_box_drawing.patch
Patch6:             ubuntulooks-0.9.12-fix-firefox-buttons.patch
Patch7:             xl-cheese-engine-1.1-missing_automake_files.patch
Patch8:             0001-Work-around-bug-in-automake.patch

Requires:           %{lib_name} >= %{version}
Requires:           gtk2-hc-engine >= %{version}
Requires:           gtk2-clearlooks-engine >= %{version}
Provides:           gtk-nodoka-engine
Provides:           gtk-nodoka-engine-extras
Provides:           gtk-engines2
Provides:           gtk-equinox-engine
Recommends:         nimbus-icon-theme

%description
These are the graphical engines for the various GTK2+ toolkit themes.
Included themes are:

  - Notif
  - Redmond95
  - Pixmap
  - Metal (swing-like)
  - Equinox
  - Nodoka
  - Nimbus
  - Many more...


# build main package libs--------------------------------------------------------------------

%package -n %{lib_name}
Summary:        Library files for %{name}
Group:          System/Libraries
Requires:       gtk+2.0 >= 2.9.0
Provides:       %{equinox_lib}
Provides:       %{nodoka_lib}
Provides:       %{old_libname}

%description -n %{lib_name}
Library files for %{name}

# nimbus icon theme------------------------------------------------------------------------
%package -n nimbus-icon-theme
Summary:    Nimbus icon theme
Group:      Graphical desktop/Other
BuildArch:  noarch
Requires(post): gtk-update-icon-cache

%description -n nimbus-icon-theme
Opensolaris icon theme for Gnome and other desktops.

%post -n nimbus-icon-theme
%update_icon_cache nimbus

#-------------------------------------------------------------------------------------------

# The High Contrast engine
%package -n gtk2-hc-engine
Summary: The High Contrast engine for GTK2
Group: Graphical desktop/GNOME
Requires: %{hc_lib} = %{version}-%{release}
Conflicts: gtk2-theme-engines < 2.20.2-9

%description -n gtk2-hc-engine
The High Contrast engine which is targeted for usability themes, such as
the GNOME HighContrast theme.

%package -n %{hc_lib}
Summary: The High Contrast engine for GTK2
Group: System/Libraries
Conflicts: %{_lib}gtk2-theme-engines < 2.20.2-9

%description -n %{hc_lib}
The High Contrast engine which is targeted for usability themes, such as
the GNOME HighContrast theme.

# The Clearlooks engine
%package -n gtk2-clearlooks-engine
Summary: The Clearlooks engine for GTK2
Group: Graphical desktop/GNOME
Requires: %{clearlooks_lib} = %{version}-%{release}
Conflicts: gtk2-theme-engines < 2.20.2-10

%description -n gtk2-clearlooks-engine
Clearlooks is a theme engine for GTK+, based on Bluecurve theme.

%package -n %{clearlooks_lib}
Summary: The Clearlooks engine for GTK2
Group: System/Libraries
Conflicts: %{_lib}gtk2-theme-engines < 2.20.2-10

%description -n %{clearlooks_lib}
Clearlooks is a theme engine for GTK+, based on Bluecurve theme.

%prep
%setup -q -n gtk-engines-%{version} -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 9 -a 11 -a 12 -a 13

#remove broken automake symlinks for xlcheese engine
rm -r xl_cheeselooks_Engine_Themes/gtk-enginesxl_cheese/{depcomp,INSTALL,install-sh,missing}
%autopatch -p1
(mkdir -p equinox-1.50/themes && %__tar fx %SOURCE8 -C equinox-1.50/themes)
(mkdir -p aurora-%{aurora_version}/themes && %__tar fx %SOURCE10 -C aurora-%{aurora_version}/themes)
find . -name "*~" -delete

%build
# does not work because of $(filter...
autoreconf -vfi

# Build: gtk-engines --------------------------------------------------------------------------------------------------------------------------------
%configure --disable-static --enable-lua --with-system-lua --enable-animation
%make_build

# Build: gtk-engines-cleanice -----------------------------------------------------------------------------------------------------------------------
pushd gtk-engines-cleanice-%{cleanice_version}/
autoreconf -vfi
%configure --disable-static
%make_build
popd

# Build: gtk-flat-theme -----------------------------------------------------------------------------------------------------------------------------
pushd gtk-flat-theme-2.0/
autoreconf -vfi
%configure --disable-static
%make_build
popd

# Build: bluecurve ----------------------------------------------------------------------------------------------------------------------------------
pushd bluecurve-gtk-themes-%{bluecurve_version}/
autoreconf -vfi
%configure --disable-static
%make_build
popd

# Build: equinox --------------------------------------------------------------------------------------------------------------------------------------
pushd equinox-%{equinox_version}
autoreconf -vfi
%configure --disable-static --enable-animation
%make_build
popd

# Build: gtk-nodoka-engine -----------------------------------------------------------------------------------------------------------------------------
pushd gtk-nodoka-engine-%{nodoka_version}
autoreconf -vfi
%configure --disable-static --with-gtk=2.0
%make_build
popd

# Build: gtk-engines-lighthouseblue----------------------------------------------------------------------------------------------------------------------
pushd gtk-engines-lighthouseblue-%{lightbluehouse_version}-eq1.2
autoreconf -vfi
%configure --disable-static
%make_build
popd

# Build: nimbus ------------------------------------------------------------------------------------------------------------------------------------------
pushd nimbus-%{nimbus_version}
autoreconf -vfi
%configure --disable-static --disable-static
%make_build
popd

# Build: aurora  ------------------------------------------------------------------------------------------------------------------------------------------
pushd aurora-%{aurora_version}
autoreconf -vfi
%configure --disable-static --enable-animation
%make_build
popd

# Build: ubuntulooks----------------------------------------------------------------------------------------------------------------------------------------
pushd ubuntulooks-%{ubuntulooks_version}
autoreconf -vfi
%configure --disable-static --enable-animation
%make_build
popd

# Build: xl_cheese ------------------------------------------------------------------------------------------------------------------------------------------
pushd xl_cheeselooks_Engine_Themes/gtk-enginesxl_cheese
autoreconf -vfi
%configure --disable-static
make clean
%make_build
popd

%install

# Install: cleanice  ------------------------------------------------------------------------------------------------------------------------------------------
pushd gtk-engines-cleanice-%{cleanice_version}/
%make_install
popd

# Install: flat  ------------------------------------------------------------------------------------------------------------------------------------------
pushd gtk-flat-theme-2.0/
%make_install
popd

# Install: bluecurve ------------------------------------------------------------------------------------------------------------------------------------------
pushd bluecurve-gtk-themes-%{bluecurve_version}/
%make_install
popd

# Install: equinox  ------------------------------------------------------------------------------------------------------------------------------------------
pushd equinox-%{equinox_version}
%make_install
cp -ar themes/* %{buildroot}%{_datadir}/themes
install -D -m 644 AUTHORS ../Equinox-AUTHORS
popd

# Install: nodoka  ------------------------------------------------------------------------------------------------------------------------------------------
pushd gtk-nodoka-engine-%{nodoka_version}
%make_install
install -m 644 AUTHORS ../Nodoka-AUTHORS
popd

# Install: lighthouseblue  ------------------------------------------------------------------------------------------------------------------------------------------
pushd gtk-engines-lighthouseblue-%{lightbluehouse_version}-eq1.2
%make_install
install -m 644 AUTHORS ../Lighthouseblue-AUTHORS
popd

# Install: nimbus  ------------------------------------------------------------------------------------------------------------------------------------------
pushd nimbus-%{nimbus_version}
%make_install
install -m 644 AUTHORS ../Nimbus-AUTHORS
popd

# Install: aurora  ------------------------------------------------------------------------------------------------------------------------------------------
pushd aurora-%{aurora_version}
%make_install
cp -ar themes/* %{buildroot}%{_datadir}/themes
install -m 644 AUTHORS ../Aurora-AUTHORS
popd

pushd ubuntulooks-%{ubuntulooks_version}
%make_install
install -m 644 AUTHORS ../Ubuntulooks-AUTHORS
popd

# Install: xlcheese  ------------------------------------------------------------------------------------------------------------------------------------------
pushd xl_cheeselooks_Engine_Themes/gtk-enginesxl_cheese
%make_install
install -m 644 engines/xl_cheeselooks/AUTHORS ../../Xlcheese-AUTHORS
popd
cp -ar xl_cheeselooks_Engine_Themes/{blueboo,xl_cheeselooks_LightAlt,brightOrangexl_dark,xl_cheeselooksBlueMono,xl_monochrome,xl_cheeselooks_Dark} %{buildroot}%{_datadir}/themes/
cp -ar xl_cheeselooks_ThemePack/* %{buildroot}%{_datadir}/themes/

# Install 'main' pkg last
%make_install

#remove empty files
rm -f %{buildroot}%{_datadir}/themes/*/ICON.png \

# we don't want these
find %{buildroot} -name "*.la" -delete

#gw needed at build time only
rm -rf %{buildroot}%{_datadir}/locale

%files
%doc README AUTHORS Aurora-AUTHORS Nimbus-AUTHORS Lighthouseblue-AUTHORS Nodoka-AUTHORS Equinox-AUTHORS Ubuntulooks-AUTHORS Xlcheese-AUTHORS
%{_datadir}/themes/Aurora/
%{_datadir}/themes/Bluecurve*/
%{_datadir}/themes/Clearlooks/
%{_datadir}/themes/Crux/
%{_datadir}/themes/Equinox*
%{_datadir}/themes/Flat/
%{_datadir}/themes/Human/
%{_datadir}/themes/Industrial/
%{_datadir}/themes/LighthouseBlue/
%{_datadir}/themes/Mist/
%{_datadir}/themes/Nodoka*/
%{_datadir}/themes/Redmond/
%{_datadir}/themes/ThinIce/
%{_datadir}/themes/blueboo/
%{_datadir}/themes/brightOrangexl_dark/
%{_datadir}/themes/*nimbus/
%{_datadir}/themes/userChrome.css
%{_datadir}/themes/xl_*/

%dir %{_datadir}/gtk-engines/
%{_datadir}/gtk-engines/crux-engine.xml
%{_datadir}/gtk-engines/glide.xml
%{_datadir}/gtk-engines/industrial.xml
%{_datadir}/gtk-engines/mist.xml
%{_datadir}/gtk-engines/redmond95.xml
%{_datadir}/gtk-engines/thinice.xml
%{_datadir}/gtk-engines/xl_cheeselooks.xml

%files -n %{lib_name}
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libaurora.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libbluecurve.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libcleanice.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libcrux-engine.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libequinox.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libflat.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libglide.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libindustrial.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/liblighthouseblue.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libluaengine.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libmist.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libnimbus.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libnodoka.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libredmond95.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libthinice.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libubuntulooks.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libxl_cheeselooks.so
%{_libdir}/pkgconfig/*

%files -n nimbus-icon-theme
%dir %{_datadir}/icons/nimbus/
%{_datadir}/icons/nimbus/*x*
%ghost %{_datadir}/icons/nimbus/icon-theme.cache

%files -n gtk2-hc-engine
%dir %{_datadir}/gtk-engines/
%{_datadir}/gtk-engines/hcengine.xml

%files -n %{hc_lib}
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libhcengine.so

%files -n gtk2-clearlooks-engine
%dir %{_datadir}/gtk-engines/
%{_datadir}/gtk-engines/clearlooks.xml

%files -n %{clearlooks_lib}
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libclearlooks.so



%changelog
* Sat Feb 15 2020 wally <wally> 2.20.2-11.mga8
+ Revision: 1526558
- replace deprecated %%configure2_5x
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu May 02 2019 wally <wally> 2.20.2-10.mga7
+ Revision: 1396162
- split out the clearlooks engine

* Tue Mar 05 2019 wally <wally> 2.20.2-9.mga7
+ Revision: 1371733
- require gtk2-hc-engine with main pkg
- fix post requires for nimbus-icon-theme
- drop old obsoletes
- split out HC engine for HighContrast GTK2 theme

* Sun Sep 23 2018 umeabot <umeabot> 2.20.2-8.mga7
+ Revision: 1298103
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 pterjan <pterjan> 2.20.2-7.mga7
+ Revision: 1236291
- Rebuild with aarch64 fixes

* Sat Feb 13 2016 luigiwalser <luigiwalser> 2.20.2-6.mga6
+ Revision: 959432
- run automake after libtoolize

* Tue Feb 17 2015 wally <wally> 2.20.2-5.mga5
+ Revision: 815393
- add post script for nimbus-icon-theme to update icon cache

* Wed Oct 15 2014 umeabot <umeabot> 2.20.2-4.mga5
+ Revision: 751083
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.20.2-3.mga5
+ Revision: 680010
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
- s/uggests:/Recommends:/

* Mon Dec 23 2013 wally <wally> 2.20.2-2.mga4
+ Revision: 560117
- don't override gtk-engines-2.pc with one from xl_cheeselooks_Engine_Themes

* Tue Dec 10 2013 tarakbumba <tarakbumba> 2.20.2-1.mga4
+ Revision: 556151
- imported package gtk2-theme-engines

